cat.pdb {bio3d} | R Documentation

## Concatenate Multiple PDB Objects

### Description

Produce a new concatenated PDB object from two or more smaller PDB objects.

### Usage

    cat.pdb(..., renumber=FALSE, rechain=TRUE)

### Arguments

`...` | two or more PDB structure objects obtained from `read.pdb`.
`renumber` | logical, if ‘TRUE’ residues will be renumbered.
`rechain` | logical, if ‘TRUE’ molecules will be assigned new chain identifiers.

### Details

This is a basic utility function for creating a concatenated PDB object based on multipe smaller PDB objects.

### Value

Returns an object of class `"pdb"`. See `read.pdb` for further details.

### Author(s)

Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`read.pdb`, `atom.select`, `write.pdb`, `trim.pdb`

### Examples

    ## Not run:
    ## Read a PDB file from the RCSB online database
    pdb1 <- read.pdb("1etl")
    pdb2 <- read.pdb("1hel")

    ## Concat
    new.pdb <- cat.pdb(pdb1, pdb2, pdb1, rechain=TRUE, renumber=TRUE)

    ## Write to file
    write.pdb(new.pdb, file="concat.pdb")

    ## End(Not run)

[Package bio3d version 2.3-4 Index]